ChartDirector Ver 5.0 (PHP Edition)

Axis.setRounding

Usage

setRounding(roundMin, roundMax)

Description

Controls whether to round the ends of the axis to align with tick positions.
For example, if the axis is from 0.33 - 9.7, ChartDirector may round it to 0 - 10 so that the ends 0 and 10 are properly aligned with the ticks.
By default, ChartDirector will round the axis ends for the y-axis, but not for the x-axis. An exception is a chart containing a scatter layer, where both x and y axes will be rounded.

Arguments

Argument | Default | Description
--- | --- | ---
roundMin | (Mandatory) | A true (non-zero) value means the lesser end of the axis should be rounded to align with tick positions. A false (zero) value means no rounding.
roundMax | (Mandatory) | A true (non-zero) value means the greater end of the axis should be rounded to align with tick positions. A false (zero) value means no rounding.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.